package example.org.spacciodescans;

import android.app.NotificationManager;
import android.app.PendingIntent;
import android.app.Service;
import android.content.ContentResolver;
import android.content.Context;
import android.content.Intent;
import android.database.Cursor;
import android.os.IBinder;
import android.support.annotation.Nullable;
import android.support.v4.app.NotificationCompat;

/**
 * Created by kowalsky on 16/11/15.
 */
public class CheckOffers extends Service {

    @Override
    public int onStartCommand(Intent intenc, int flags, int idArranque) {
        ContentResolver cr = this.getContentResolver();
        int OFERTA = 1;
        String where = ProveedorContenido.COL_OFERTA + " = " + OFERTA;
        Cursor cursor = cr.query(ProveedorContenido.CONTENT_URI, null, where, null, null);

        if(cursor != null && cursor.moveToNext()) {
            NotificationCompat.Builder notific = new NotificationCompat.Builder(this).
                    setContentTitle("Oferta del día").setSmallIcon(android.R.drawable.btn_star_big_on).setContentText(cursor.getString(1));
            NotificationManager notificationManager = (NotificationManager)getSystemService(Context.NOTIFICATION_SERVICE);

            Intent intent = new Intent(this, MainActivity.class);
            PendingIntent pendingIntent = PendingIntent.getActivity(this, 0, intent, 0);
            notific.setContentIntent(pendingIntent);

            notificationManager.notify(1, notific.build());
        }
        assert cursor != null;
        cursor.close();



        return START_STICKY;
    }

    @Override public void onDestroy() {
        NotificationManager notificationManager = (NotificationManager)getSystemService(Context.NOTIFICATION_SERVICE);
        notificationManager.cancel(1);
    }


    @Nullable
    @Override
    public IBinder onBind(Intent intent) {
        return null;
    }
}
