package example.org.spacciodescans;

import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

/**
 * Created by kowalsky on 10/11/15.
 */
public class FragmentContact extends Fragment{

    private TextView direccion, direccion2, telefono, email;

    public FragmentContact(){

    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.fragmento_contacto, container, false);
        direccion = (TextView) view.findViewById(R.id.textView3);
        direccion2 = (TextView) view.findViewById(R.id.textView4);
        telefono = (TextView) view.findViewById(R.id.textView5);
        email = (TextView) view.findViewById(R.id.textView6);

        return view;
    }

    @Override
    public void onActivityCreated(Bundle savedInstanceState) {
        super.onActivityCreated(savedInstanceState);

        direccion.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                navegador();
            }
        });
        telefono.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                llamadaTelf();
            }
        });

    }


    private void navegador(){
        Uri uri;
        uri = Uri.parse("geo:41.548110, 2.085499");
        Intent intent = new Intent(Intent.ACTION_VIEW, uri);
        startActivity(intent);
    }

    private void llamadaTelf(){
        startActivity(new Intent(Intent.ACTION_DIAL, Uri.parse("tel:628425994")));
    }

    private void enviarMail(){

    }

}
